<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_age.inc.php");
Archivelog(@$_SESSION["code_log"]);

$import_ok = TRUE;
$fic_ok = TRUE;
$csv_ok = TRUE;

$td = strip_tags(trim(@$_GET['td'])); // On récupère le type en ligne de commande

if ($td=="")
	$td = strip_tags(trim(@$_POST['td'])); // On récupère le type en ligne de commande

// Vérification du mode du connecté (pour éviter les hacks)
switch ($td)
{
	case "cli" :
		if (@$_SESSION["niv_log"] <= 3)
			$import_ok = FALSE;
		break;
	case "art" :
	case "catm":
	case "mque":
	case "tl":
	case "dep":
	case "pays":
	case "villes":
		// Les agences n'ont droit qu'aux imports clients
		if (@$_SESSION["niv_log"] <= 4)
			$import_ok = FALSE;
		break;
	default :
		$import_ok = FALSE;
		break;
}

if ($import_ok == TRUE)
{
	switch ($td)
	{
		case "cli" :
			$titre = "IMPORTATION CLIENTS";
			break;
		case "art" :
			$titre = "IMPORTATION ARTICLES";
			break;
		case "catm" :
			$titre = "IMPORTATION CATEGORIES MATERIELS";
			break;
		case "mque" :
			$titre = "IMPORTATION CONSTRUCTEURS/EDITEURS";
			break;
		case "tl" :
			$titre = "IMPORTATION TYPES LICENCES";
			break;
		case "dep" :
			$titre = "IMPORTATION DEPARTEMENTS/ETATS/REGIONS";
			break;
		case "pays" :
			$titre = "IMPORTATION PAYS";
			break;
		case "villes" :
			$titre = "IMPORTATION VILLES";
			break;
		default :
			$import_ok = FALSE;
			break;
	}

	// On vérifie si on a validé l'étape 1
	if (strip_tags(trim(@$_POST["val"])) == "Valider")
		$etape1 = TRUE;
	else
		$etape1 = FALSE;
	
	if ($etape1==FALSE)
	{
		switch (@$_SESSION["niv_log"])
		{
			case 4 :
				$row = lit_enr_age(@$_SESSION["code_log"]);
				if (is_array($row))
				{
					extract($row);
					$rep = $url_gfc."/agences/".strtolower($age_code)."/imports";
					$desc = "Répertoire pour imports agence ".$age_nom." (".$age_code.")";
				}
				else
				{
					$fic_ok=FALSE;
				}
				break;
			case 5 :
			case 9 :
				$rep = $url_gfc."/imports";
				$desc = "Répertoire pour imports administrateur & centre de gestion";
				break;
			default :
				$import_ok=FALSE;
				break;
		}

		if ($fic_ok==TRUE)
		{
			// Si le sous-répertoire spécifique aux imports n'existe pas, on le crée
			if (!is_dir($rep))
			{
				if (mkdir($rep))
				{
					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
					switch (@$_SESSION["niv_log"])
					{
						case 4 :
							// On ajoute le détail dans le fichier MySQL
							$rech = "INSERT INTO " .TBFIC;
							$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
							$rech .= " ('$rep','0','$desc','$datea','$admin_code','')";
							$rs = mysql_query($rech) or die(mysql_error());
							break;
						case 5 :
						case 9 :
							// On ajoute le détail dans le fichier MySQL
							$rech = "INSERT INTO " .TBFIC;
							$rech .= " (fic_nom,fic_type,fic_desc,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
							$rech .= " ('$rep','0','$desc','$datea','$admin_code','')";
							$rs = mysql_query($rech) or die(mysql_error());
							break;
						default :
							$import_ok=FALSE;
							break;
					}
					mysql_close($conn);
				}
				else
				{
					$fic_ok=FALSE;
				}
			}

			// Extensions autorisées
			$ext_import = array(".txt",".csv");
			
			// Balayage du répertoire
			$dossier = opendir($rep);
			
			while ($Fichier = readdir($dossier))
			{
				if ( ($Fichier != ".") && ($Fichier != "..") && ($Fichier != ".htaccess") )
				{
					if (is_file($rep."/".$Fichier) == TRUE)
					{
						$ext = strtolower(strrchr($Fichier,"."));
						if (in_array($ext, $ext_import))
						{
							$tab_fic[]= $Fichier;
						}
					}
				}
			}
			closedir($dossier);
		   
			if (!isset($tab_fic))
				$fic_ok=FALSE;			
		}
	}

	if ($etape1==TRUE)
	{
		switch (@$_SESSION["niv_log"])
		{
			case 4 :
				$row = lit_enr_age(@$_SESSION["code_log"]);
				if (is_array($row))
				{
					extract($row);
					$fichier = $url_gfc."/agences/".strtolower($age_code)."/imports/".@$_POST["nomfic"];
				}
				else
				{
					$fic_ok=FALSE;
				}
				break;
			case 5 :
			case 9 :
				$fichier = $url_gfc."/imports/".@$_POST["nomfic"];
				break;
			default :
				$import_ok=FALSE;
				break;
		}
		
		if ($import_ok==TRUE)
		{
			// Variable d'encadrement
			switch ($_POST["cadre"])
			{
				case "A" :
					$encadre = "'";
					break;
				case "R" :
					$encadre = "";
					break;
				default :
					$encadre="\"";
					break;
			}
		
			// Délimiteur
			switch ($_POST["sep"])
			{
				case "V" :
					$delimiteur = ",";
					break;
				default :
					$delimiteur=";";
					break;
			}

			// Lecture 1ère ligne pour créer la liste des champs
			$handle = @fopen($fichier, 'r');
			if ($handle)
			{
				$ligne1=fgets($handle);
				
				// Traitement de la ligne
				if(!empty($ligne1))
				{
					$ligne1=trim($ligne1);
					
					$long_ligne1=strlen($ligne1);
					$champ="";
					$encadre_ouvert=FALSE;
					$fin_champ=FALSE;
	
					for ($i=0; $i<$long_ligne1; $i++)
					{
						$carac_ok=TRUE;
						
						// On extrait le caractère à la position courante
						$carac=substr($ligne1,$i,1);
						
						// C'est un caractère d'encadrement ?
						if ($encadre<>"") // Tests uniquement si caractère d'encadrement défini
						{
							// Oui...on vérifie l'état du booléen
							if ($carac == $encadre)
							{
								if ($encadre_ouvert==FALSE)
								{
									$encadre_ouvert=TRUE; // Si pas encore ouvert, on dit que c'est ouvert
									$carac_ok=FALSE; // Et on ne prend pas le caractère
								}
								else // Déjà ouvert...des tests sont à effectuer
								{
									// On est bout de ligne ?
									// Si oui, on prend le texte
									// Si non, on vérifie si délimiteur
									if ($i==($long_ligne1-1))
									{
										$encadre_ouvert=FALSE;
										$fin_champ=TRUE;
										$carac_ok=FALSE; // Et on ne prend pas le caractère
									}
									else
									{
										// On extrait le caractère à la position suivante
										$carac_suiv=substr($ligne1,$i+1,1);
										if ($carac_suiv==$delimiteur) // Le caractère suivant est un délimiteur...c'est donc une fin de chaîne
										{
											$encadre_ouvert=FALSE;
											$fin_champ=TRUE;
											$carac_ok=FALSE; // Et on ne prend pas le caractère
										}
									}
								}
							}
						}
						
						// C'est un délimiteur ?
						// Oui....il faut faire quelques tests
						if ($carac == $delimiteur)
						{
							if ($encadre_ouvert==FALSE) // Le booleen n'est pas actif...c'est un caractère à ne pas prendre
								$carac_ok=FALSE;
						}

						// Si le caractère est ok...on l'intègre à la chaine
						if ($carac_ok==TRUE)
							$champ.=$carac;
						// Si on est en fin de champ, on ajoute au tableau
						if ($fin_champ==TRUE)
						{
							$tab_csv[]=$champ;
							$champ="";
							$fin_champ=FALSE;
						}
					}
				}
				else
				{
					$csv_ok=FALSE;
				}
				fclose($handle);
			}
			else
			{
				$csv_ok=FALSE;
			}
		}
	}
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Importation</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/verif_form.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">
<?php 
include_once("entete.inc.php"); 
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<p>&nbsp;</p>
<?PHP
if (($import_ok == TRUE) AND ($fic_ok == TRUE) AND ($csv_ok == TRUE))
{
	// Etape 1 : choix du fichier à télécharger
	if ($etape1 == FALSE)
	{
?>
				<script language="javascript">
				var tab1_champ=new Array(
					"nom:nomfic ; format:liste ; req:Y ; txt:Fichier à importer ; vmn:1 ; stok:frmok ; stbad:frmbad");
				</script>
				
				<!-- Formulaire permettant la sélection du fichier à importer -->
				<form name="etape1" id="etape1" method="post" action="imp_data.php" onSubmit="javascript:; return (VForm(this,tab1_champ,'',''));">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<!-- Liste des fichiers -->
				<table width="100%"  border="0">
				<tr align="center">
					<td nowrap valign="middle">
					<?PHP
						echo "<select name=\"nomfic\" id=\"nomfic\">";
						echo "<option value=\"\" selected=\"selected\">-- Choisir le fichier &agrave; importer --</option>";
						for ($j = 0; $j < count($tab_fic); $j++)
						{
							echo "<option value=\"".$tab_fic[$j]."\">".$tab_fic[$j]."</option>";
						}
						echo "</select>";
					?>
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
					</td>
				</tr>
				</table>
<?PHP
	}
	
	switch ($td)
	{
		/****************************************/
		/**                 VILLES             **/
		/****************************************/
	
		case "villes" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=villes";
?>
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majcatm"><div align="right">Mettre &agrave; jour villes existantes</div></td>
					<td>
						<select name="majvilles" id="majvilles">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		/****************************************/
		/**                   PAYS             **/
		/****************************************/
	
		case "pays" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=pays";
?>
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majcatm"><div align="right">Mettre &agrave; jour pays existants</div></td>
					<td>
						<select name="majpays" id="majpays">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		/******************************************************/
		/**                   DEPARTEMENTS/ETATS             **/
		/******************************************************/
	
		case "dep" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=dep";
?>
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majtl"><div align="right">Mettre &agrave; jour existants</div></td>
					<td>
						<select name="majdep" id="majdep">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		/******************************************************/
		/**                   TYPES LICENCES                **/
		/******************************************************/
	
		case "tl" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=tl";
?>
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majtl"><div align="right">Mettre &agrave; jour types existants</div></td>
					<td>
						<select name="majtl" id="majtl">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		/******************************************************/
		/**                        MARQUES                   **/
		/******************************************************/
	
		case "mque" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=mque";
?>
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majmque"><div align="right">Mettre &agrave; jour marques existantes</div></td>
					<td>
						<select name="majmque" id="majmque">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		/******************************************************/
		/**                CATEGORIES MATERIELS              **/
		/******************************************************/
	
		case "catm" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=catm";
?>
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majcatm"><div align="right">Mettre &agrave; jour cat&eacute;gories existantes</div></td>
					<td>
						<select name="majcatm" id="majcatm">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		/******************************************************/
		/**                    CLIENTS                       **/
		/******************************************************/
	
		case "cli" :
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=cli";
?>
				<script language="javascript">
				var tab2_champ=new Array(
					"nom:catcli ; format:liste ; req:Y ; txt:Catégorie ; vmn:1 ; stok:frmok ; stbad:frmbad",
					"nom:civcli ; format:liste ; req:Y ; txt:Civilité ; vmn:1 ; stok:frmok ; stbad:frmbad");
				</script>
				
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php" onSubmit="javascript:; return (verif_impd(this,tab2_champ,'','',tab_nomchamps));">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majcli"><div align="right">Mettre &agrave; jour clients existants   </div></td>
					<td>
						<select name="majcli" id="majcli">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_catcli"><div align="right">Codage nouvelles cat&eacute;gories</div></td>
					<td>
						<select name="catcli" id="catcli">
						  <option value="" selected="selected">-- Choisir la m&eacute;thode &agrave; appliquer --</option>
						  <option value="G">G&eacute;n&eacute;rer les libell&eacute;s cat&eacute;gories (Cat&eacute;gorie "nouveau code")</option>
						  <option value="S">G&eacute;n&eacute;rer puis modifier les libell&eacute;s cat&eacute;gories</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_civcli"><div align="right">Codage nouvelles civilit&eacute;s</div></td>
					<td>
						<select name="civcli" id="civcli">
						  <option value="" selected="selected">-- Choisir la m&eacute;thode &agrave; appliquer --</option>
						  <option value="G">G&eacute;n&eacute;rer les libell&eacute;s civilit&eacute;s (civilit&eacute; "nouveau code")</option>
						  <option value="S">G&eacute;n&eacute;rer puis modifier les libell&eacute;s civilit&eacute;s</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_mailcli"><div align="right">Envoi des logins/MDP aux clients </div></td>
					<td>
						<select name="mailcli" id="mailcli">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : Chaque compte cr&eacute;&eacute; recevra son login &amp; son MDP / 'Non' : le MDP sera cr&eacute;&eacute;, aucun email envoy&eacute;. </span></td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;

		/******************************************************/
		/**                    ARTICLES                      **/
		/******************************************************/
	
		case "art" :;
			if ($etape1 == TRUE)
			{
				$url_link="imp_data.php?td=art";
?>
				<script language="javascript">
				var tab2_champ=new Array(
					"nom:codefam ; format:liste ; req:Y ; txt:Codage à appliquer ; vmn:1 ; stok:frmok ; stbad:frmbad");
				</script>
				
				<!-- Formulaire permettant la gestion de l'importation -->
				<form name="imp_maj" id="imp_maj" method="post" action="import.php" onSubmit="javascript:; return (verif_impd(this,tab2_champ,'','',tab_nomchamps));">
					<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
					<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
			
				<table width="100%"  border="0">
				<tr>
					<td class="rubfrm" nowrap align="right" valign="top" id="f_nomfic">
					Fichier &agrave; importer :
					</td>
					<td nowrap valign="middle">
						<input type="text" name="nomfic" size="50" value="<?PHP echo strip_tags(trim(@$_POST['nomfic'])); ?>" readonly="1">
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_majart"><div align="right">Mettre &agrave; jour articles existants   </div></td>
					<td>
						<select name="majart" id="majart">
						  <option value="O" selected="selected">Oui</option>
						  <option value="N">Non</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> 
						<span class="annot_petit_it">'Oui' : on met &agrave; jour si code d&eacute;j&agrave; existant / 'Non' : on ignore.</span>
					</td>
				</tr>
				<tr>
					<td width="30%" class="rubfrm" id="f_codefam"><div align="right">Codage nouvelles familles</div></td>
					<td>
						<select name="codefam" id="codefam">
						  <option value="" selected="selected">-- Choisir la m&eacute;thode &agrave; appliquer --</option>
						  <option value="G">G&eacute;n&eacute;rer les libell&eacute;s familles (Famille "nouveau code")</option>
						  <option value="S">G&eacute;n&eacute;rer puis modifier les libell&eacute;s familles</option>
						</select>					  
						<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
					</td>
				</tr>
				</table>
				<br>
<?PHP
			}
			break;
		default : break;
	}
	
	// Etape 2 : Paramétrage de l'importation
	if ($etape1==TRUE)
	{
?>
		<table width="100%"  border="0">
		<tr>
		<td colspan="5">
		  <div align="center" class="titre_std_gras_jaune_frouge">Champs &agrave; importer </div>
		  <div align="center" class="annot_petit_it">Tous les champs doivent &ecirc;tre param&eacute;tr&eacute;s (pour ne rien importer, choisir 'rien').</div>
		</td>
		</tr>
		<?PHP
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				switch ($td)
				{
					case "cli" :
						$rech = "SELECT * FROM `" .TBCLI. "`";
						break;
					case "art" :
						$rech = "SELECT * FROM `" .TBPDT. "`";
						break;
					case "catm" :
						$rech = "SELECT * FROM `" .TBRPCAT. "`";
						break;
					case "mque" :
						$rech = "SELECT * FROM `" .TBMQUE. "`";
						break;
					case "tl" :
						$rech = "SELECT * FROM `" .TBRLTL. "`";
						break;
					case "dep" :
						$rech = "SELECT * FROM `" .TBDEP. "`";
						break;
					case "pays" :
						$rech = "SELECT * FROM `" .TBPAYS. "`";
						break;
					case "villes" :
						$rech = "SELECT * FROM `" .TBVILLES. "`";
						break;
				}
				$rs = mysql_query($rech)or die(mysql_error());
				$num = mysql_num_fields($rs);
				for ($i=0; $i<$num; $i++) 
				{
					echo "<tr>";
					$nom = mysql_field_name($rs,$i);
					$aimporter=TRUE;
					switch ($td)
					{
						/****************************************/
						/**                 VILLES             **/
						/****************************************/
						case "villes" :
							if ($nom=="villes_id")
								$aimporter=FALSE;
							break;
						/****************************************/
						/**                   PAYS             **/
						/****************************************/
						case "pays" :
							if ($nom=="pays_id")
								$aimporter=FALSE;
							break;
						/******************************************************/
						/**                   DEPARTEMENTS/ETATS             **/
						/******************************************************/
						case "dep" :
							if ($nom=="dep_id")
								$aimporter=FALSE;
							break;
						/******************************************************/
						/**                   TYPES LICENCES                **/
						/******************************************************/
						case "tl" :
							if ($nom=="rltl_id")
								$aimporter=FALSE;
							break;
						/******************************************************/
						/**                       MARQUES                    **/
						/******************************************************/
					
						case "mque" :
							if ($nom=="mque_id")
								$aimporter=FALSE;
							break;
						/******************************************************/
						/**                CATEGORIES MATERIELS              **/
						/******************************************************/
					
						case "catm" :
							if ($nom=="rpcat_id")
								$aimporter=FALSE;
							break;
						/******************************************************/
						/**                    CLIENTS                       **/
						/******************************************************/
					
						case "cli" :
							if (($nom=="cli_id") OR ($nom=="cli_datecrea") OR ($nom=="cli_codecrea") OR ($nom=="cli_datemod") OR ($nom=="cli_codemod") OR ($nom=="cli_pass") OR (($nom=="cli_prop") AND (@$_SESSION["niv_log"] == 4)))
								$aimporter=FALSE;
							if ((@$_SESSION["niv_log"]==4) AND ($nom=="cli_codedo"))
								$aimporter=FALSE;
							break;
						/******************************************************/
						/**                    ARTICLES                      **/
						/******************************************************/
					
						case "art" :
							if (($nom=="pdt_id") OR ($nom=="pdt_datecrea") OR ($nom=="pdt_codecrea") OR ($nom=="pdt_datemod") OR ($nom=="pdt_codemod"))
								$aimporter=FALSE;
							break;
					}
					if ($aimporter==TRUE)
					{
						$flags=mysql_field_flags($rs, $i);
						$id_champ="f_".$nom;
						$nom_champ="s_".$nom;
						$tab_nomchamps[]=$nom_champ;

						// Traitement des cas particuliers
						switch ($td)
						{
							/******************************************************/
							/**                    CLIENTS                       **/
							/******************************************************/
						
							case "cli" :
								if ($nom=="cli_ville")
								{
									$tab_nomchamps[]="s_cli_cp";
									echo "<td width=\"30%\" class=\"rubfrm\" id=\"f_cp\">";
									echo "<div align=\"right\">";
									echo "cli_cp";
									echo "</div>";
									echo "</td>";
									echo "<td>";
									echo "<select name=\"s_cli_cp\" id=\"s_cli_cp\">";
									echo "<option value=\"\" selected=\"selected\">-- Choisir le champ &agrave; importer --</option>";
									for ($j = 0; $j < count($tab_csv); $j++)
									{
										echo "<option value=\"".$j."\">".$tab_csv[$j]."</option>";
									}
									echo "</select>";
									echo "<span class=\"annot_petit_it\">";
									echo "<br>";
									echo " Champ contr&ocirc;l&eacute;.";
									echo "</span>";
									echo "</td>";
									echo "</tr>";
									echo "<tr>";
								}
								break;
							/******************************************************/
							/**                    MARQUES                       **/
							/******************************************************/
						
							case "mque" :
								if ($nom=="mque_ville")
								{
									$tab_nomchamps[]="s_mque_cp";
									echo "<td width=\"30%\" class=\"rubfrm\" id=\"f_cp\">";
									echo "<div align=\"right\">";
									echo "cli_cp";
									echo "</div>";
									echo "</td>";
									echo "<td>";
									echo "<select name=\"s_mque_cp\" id=\"s_mque_cp\">\n";
									echo "<option value=\"\" selected=\"selected\">-- Choisir le champ &agrave; importer --</option>\n";
									for ($j = 0; $j < count($tab_csv); $j++)
									{
										echo "<option value=\"".$j."\">".$tab_csv[$j]."</option>\n";
									}
									echo "</select>\n";
									echo "<span class=\"annot_petit_it\">";
									echo "<br>";
									echo " Champ contr&ocirc;l&eacute;.";
									echo "</span>";
									echo "</td>";
									echo "</tr>";
									echo "<tr>";
								}
								break;
							default :
								break;
						}
						echo "<td width=\"30%\" class=\"rubfrm\" id=\"".$id_champ."\">";
						echo "<div align=\"right\">";
						echo $nom;
						echo "</div>";
						echo "</td>";
						echo "<td>";
						echo "<select name=\"".$nom_champ."\" id=\"".$nom_champ."\">\n";
						echo "<option value=\"\" selected=\"selected\">-- Choisir le champ &agrave; importer --</option>\n";
						switch ($td)
						{
							/******************************************************/
							/**                    CLIENTS                       **/
							/******************************************************/
						
							case "cli" :
								if ($nom=="cli_code")
								{
									echo "<option value=\"-1\">-- Systématiquement créer un nouveau code --</option>\n";
								}
								break;
							default :
								break;
						}
						if(!stristr($flags,"not_null"))
							echo "<option value=\"-1\">-- Rien --</option>\n";
						for ($j = 0; $j < count($tab_csv); $j++)
						{
							echo "<option value=\"".$j."\">".$tab_csv[$j]."</option>\n";
						}
						echo "</select>\n";
						
						// Affichage des champs obligatoires
						if(!stristr($flags,"not_null"))
						{
							echo "<span class=\"annot_petit_it\">";
							echo " Vous pouvez ne rien importer dans ce champ.";
							echo "</span>";
						}

						switch ($td)
						{
							/****************************************/
							/**                 VILLES             **/
							/****************************************/
							case "villes" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "villes_codepays" :
										echo "<br>";
										echo " Code du pays et PAS nom du pays.";
										echo "<br>";
										echo " Coh&eacute;rence contr&ocirc;l&eacute;e.";
										break;
									case "villes_cp" :
									case "villes_dep" :
									case "villes_nom" :
										echo "<br>";
										echo " Coh&eacute;rence contr&ocirc;l&eacute;e.";
										break;
								}
								echo "</span>";
								break;

							/****************************************/
							/**                   PAYS             **/
							/****************************************/
							case "pays" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "pays_code" :
										echo "<br>";
										echo " Valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
								}
								echo "</span>";
								break;

							/******************************************************/
							/**                   DEPARTEMENTS/ETATS             **/
							/******************************************************/
							case "dep" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "dep_code" :
										echo "<br>";
										echo " Valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
								}
								echo "</span>";
								break;

							/******************************************************/
							/**                   TYPES LICENCES                **/
							/******************************************************/
							case "tl" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "rltl_code" :
										echo "<br>";
										echo " Valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
								}
								echo "</span>";
								break;

							/******************************************************/
							/**                       MARQUES                    **/
							/******************************************************/
							case "mque" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "mque_code" :
										echo "<br>";
										echo " Valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
									case "mque_codepays" :
										echo "<br>";
										echo " Code du pays et PAS nom du pays.";
										break;
									case "mque_dep" :
									case "mque_ville" :
									case "mque_pays" :
									case "mque_telf" :
									case "mque_fax" :
										echo "<br>";
										echo " Coh&eacute;rence contr&ocirc;l&eacute;e.";
										break;
								}
								echo "</span>";
								break;

							/******************************************************/
							/**                CATEGORIES MATERIELS              **/
							/******************************************************/
						
							case "catm" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "rpcat_code" :
										echo "<br>";
										echo " Valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
								}
								echo "</span>";
								break;

							/******************************************************/
							/**                    CLIENTS                       **/
							/******************************************************/
						
							case "cli" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "cli_cat" :
										echo "<br>";
										echo " Code de la cat&eacute;gorie (longueur maxi : 5).";
										break;
									case "cli_prop" :
										echo "<br>";
										echo " Pas de de valeur : \"propri&eacute;taire\" non affect&eacute;, valeur : code agence v&eacute;rifi&eacute;.";
										break;
									case "cli_codedo" :
										echo "<br>";
										echo " Pas de de valeur : donneur d'ordres non affect&eacute;, valeur : code donneur d'ordres v&eacute;rifi&eacute;.";
										break;
									case "cli_code" :
										echo "<br>";
										echo " Pas de de valeur : code cr&eacute;&eacute;, valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
									case "cli_type" :
										echo "<br>";
										echo " Valeur entre 0 et 2.";
										break;
									case "cli_codepays" :
										echo "<br>";
										echo " Code du pays et PAS nom du pays.";
										break;
									case "cli_dep" :
									case "cli_ville" :
									case "cli_pays" :
									case "cli_telf" :
									case "cli_fax" :
									case "cli_telp" :
									case "cli_email" :
									case "cli_mess" :
										echo "<br>";
										echo " Coh&eacute;rence contr&ocirc;l&eacute;e.";
										break;
									case "cli_civilite" :
										echo "<br>";
										echo " Code de la civilit&eacute; (longueur maxi : 5).";
										break;
									case "cli_cpta" :
										echo "<br>";
										echo " Valeur entre 0 et 3.";
										break;
								}
								echo "</span>";
								break;

							/******************************************************/
							/**                    ARTICLES                      **/
							/******************************************************/
						
							case "art" :
								echo "<span class=\"annot_petit_it\">";
								switch ($nom)
								{
									case "pdt_code" :
										echo "<br>";
										echo " Valeur : code v&eacute;rifi&eacute; et cr&eacute;&eacute; si besoin.";
										break;
									case "pdt_fam" :
										echo "<br>";
										echo " Code de la famille (longueur maxi : 5).";
										break;
									case "pdt_puttc" :
										echo "<br>";
										echo " Coh&eacute;rence contr&ocirc;l&eacute;e (d&eacute;cimale = '.').";
										break;
									case "pdt_vendu" :
										echo "<br>";
										echo " Valeur entre 0 et 1.";
										break;
								}
								echo "</span>";
								break;
						}
						echo "</td>";
					}
					echo "</tr>";
				}
				mysql_free_result($rs);
				mysql_close($conn);
			?>
		</table>
		<script type="text/javascript">
			var tab = new PhpArray2Js("<?php echo htmlspecialchars(serialize($tab_nomchamps)); ?>");
			var tab_nomchamps = tab.retour();
		</script>
<?PHP
	}
?>
		<br>
		<table width="100%"  border="0">
		<tr>
		<td colspan="2">
		  <div align="center" class="titre_std_gras_jaune_frouge">Param&egrave;tres d'importation </div>
		</td>
		</tr>
		<tr>
			<td width="30%" class="rubfrm" id="f_ligtitre"><div align="right">Importation de la 1&egrave;re ligne  </div></td>
			<td>
			<?PHP
			if ($etape1==FALSE)
			{
			?>
				<select name="ligtitre" id="ligtitre">
				  <option value="O">Oui</option>
				  <option value="N" selected="selected">Non</option>
				</select>					  
				<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
			<?PHP
			}

			if ($etape1==TRUE)
			{
				echo "<input type=\"hidden\" name=\"ligtitre\" value=\"".@$_POST["ligtitre"]."\">";
				echo "<input type=\"text\" name=\"nligtitre\" size=\"3\" value=\"";
				if (@$_POST["ligtitre"]=="O")
					echo "Oui";
				else
					echo "Non";
				echo "\" readonly=\"1\">";
			}
			?>
			</td>
		</tr>
		<tr>
			<td width="20%" class="rubfrm" id="f_cadre"><div align="right">Champs encadr&eacute;s par </div></td>
			<td>
			<?PHP
			if ($etape1==FALSE)
			{
			?>
				<select name="cadre" id="cadre">
				  <option value="G" selected="selected">Guillemets (&quot;)</option>
				  <option value="A">Apostrophes (')</option>
				  <option value="R">Rien</option>
				</select>					  
				<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
			<?PHP
			}

			if ($etape1==TRUE)
			{
				echo "<input type=\"hidden\" name=\"cadre\" value=\"".@$_POST["cadre"]."\">";
				echo "<input type=\"text\" name=\"ncadre\" size=\"15\" value=\"";
				switch (@$_POST["cadre"])
				{
					case "G" :
						echo "Guillemets (&quot;)";
						break;
					case "A" :
						echo "Apostrophes (')";
						break;
					case "R" :
						echo "Rien";
						break;
				}
				echo "\" readonly=\"1\">";
			}
			?>
			</td>
		</tr>
		<tr>
			<td width="20%" class="rubfrm" id="f_sep"><div align="right">Champs s&eacute;par&eacute;s par des</div></td>
			<td>
			<?PHP
			if ($etape1==FALSE)
			{
			?>
				<select name="sep" id="sep">
				  <option value="P" selected="selected">Points Virgules (;)</option>
				  <option value="V">Virgules (,)</option>
				</select>					  
				<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
			<?PHP
			}

			if ($etape1==TRUE)
			{
				echo "<input type=\"hidden\" name=\"sep\" value=\"".@$_POST["sep"]."\">";
				echo "<input type=\"text\" name=\"nsep\" size=\"20\" value=\"";
				switch (@$_POST["sep"])
				{
					case "P" :
						echo "Points Virgules (;)";
						break;
					case "V" :
						echo "Virgules (,)";
						break;
				}
				echo "\" readonly=\"1\">";
			}
			?>
			</td>
		</tr>
		</table>
<?PHP
	if ($etape1==FALSE)
	{
?>
		<p align="center">
			<input name="val" type="submit" class="bton_fmarr_std" id="val" value="Valider">
		</p>
<?PHP
	}
	
	if ($etape1==TRUE)
	{
?>
		<br><br>
		<div align="center" id="boutons" style="display:block">
			<input name="imp" type="button" class="bton_fmarr_std" id="imp" value="Importer" onClick="display('patience','block');document.imp_maj.submit();display('boutons','none');">
			<input name="RAZ" type="reset" class="bton_fmarr_std" id="RAZ" value="R&eacute;initialiser">
		<input name="quit" type="button" class="bton_fmarr_std" id="quit" value="Quitter" onClick="javascript:; self.location.href=('index.php');">
		</div>
		<div align="center" id="patience" style="display:none">Merci de patienter...</div>
<?PHP
	}
?>
		</form>
		<!-- Fin du formulaire -->
<?PHP
}
else
{
	if ($import_ok == FALSE)
	{
?>
		<script type="text/javascript">
		setTimeout("self.location.href=('index.php');",2000)
		</script>
		<p align="center" class="annot_std_it">Type d'importation incorrect...</p>
<?PHP
	}

	if ($fic_ok == FALSE)
	{
?>
		<script type="text/javascript">
		setTimeout("self.location.href=('index.php');",2000)
		</script>
		<p align="center" class="annot_std_it">Pas de fichier &agrave; importer...</p>
<?PHP
	}

	if ($csv_ok == FALSE)
	{
?>
		<script type="text/javascript">
		setTimeout("self.location.href=('index.php');",2000)
		</script>
		<p align="center" class="annot_std_it">Problème sur le fichier CSV...</p>
<?PHP
	}
}
include_once("pied.php");
?>
